码迷,mamicode.com
首页 > 编程语言 > 详细

Java TM 已被阻止,因为它已过时需要更新的解决方法

时间:2015-12-31 13:01:12      阅读:8538      评论:0      收藏:0      [点我收藏+]

标签:java 浏览器 java tm 已被阻止

  公司的堡垒机需要通过浏览器登陆,且该堡垒机的网站需要Java的支持,最近通过浏览器登陆之后总是提示“java TM 已被阻止,因为它已过时需要更新的解决方法”导致登陆之后不能操作,

技术分享


技术分享



但是操作系统中确实已经安装了比较新的JDK,安装的JDK版本是jdk-7u67-windows-i586,因为太烦人,所以决定搞清楚报错的原因,一劳永逸,彻底解决这个问题


 准备工作:安装JDK,安装版本jdk-7u67-windows-i586.exe,因为机器的Eclipse还依赖64位的JDK,所以另安装了一个64位的JDK,版本为jdk-7u67-windows-x64.exe

 

安装完JDK之后的设置:

1、将要访问的网站地址添加到“例外站点”列表中并打开浏览器支持

技术分享


 

一、IE浏览器的操作方法:

 工具-->Internet选项-->安全-->受信任的站点-->添加

 技术分享

 将该网站添加到授信任的站点中,并不要求服务器验证,去掉方框中的勾

 登陆网站之后,如果总是提示更新,可以在控制面板——>Java中,去掉Java更新

 

二、Firefox浏览器的操作方法:

Firefox在“附件组件”中启用相关Java插件

技术分享

用Firefox的优点在于可以记住用户名和密码,不用重复输入


三、chrome浏览器

  Chrome 浏览器版本 42 和更高版本已经不支持Java。从 Chrome 版本 42(2015 年 4 月发布)开始,Chrome 禁用了浏览器支持插件的标准方式。

 参考:https://www.java.com/zh_CN/download/help/browser_activate_plugin.xml

 如果非要使用,可以安装一个IE tab的插件,调用IE的内核来运行Java插件


   

本文出自 “小鱼的博客” 博客,请务必保留此出处http://395469372.blog.51cto.com/1150982/1730277

Java TM 已被阻止,因为它已过时需要更新的解决方法

标签:java 浏览器 java tm 已被阻止

(0)
(4)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 mamicode.com 版权所有 京ICP备13008772号-2
迷上了代码!